using System;
using System.Windows.Forms;

namespace WowAceUpdater
{
    public partial class ChangelogViewer : Form
    {
        public ChangelogViewer(string addonName, VersionNumber revision, string changelog)
        {
            InitializeComponent();
            Text = String.Format("Changelog - {0} r{1}", addonName, revision);
            changelogTextBox.Text = changelog.Replace("\n", "\r\n");
        }

        private void closeButton_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}